<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

function haumenu_sanitize_security_ssl($value){
	$value = (array) $value;
	$original_value = get_option('hautility-option-04-security'); // 元の値を保持

	/*** 301リダイレクト設定 ***/
	/* チェックボックス（存在するかどうか） */
	if ( isset( $value['ssl-redirects'] ) && $value['ssl-redirects'] === '1' ) {
		$value['ssl-redirects'] = '1'; // 明示的に '1' を設定
	} else {
		$value['ssl-redirects'] = ''; // チェックされていない場合は空文字を設定
	}

	/*** HSTSの設定 ***/
	/* チェックボックス（存在するかどうか） */
	if ( isset( $value['use-security-header'] ) && $value['use-security-header'] === '1' ) {
		$value['use-security-header'] = '1'; // 明示的に '1' を設定
	} else {
		$value['use-security-header'] = ''; // チェックされていない場合は空文字を設定
	}


	/* ---------- ここまでに項目ごとの記述をする ---------- */
	return $value;//値を返す
}